Name: coin3d
Version: 3.0.0
Release: alt3
Summary: OpenGL-based, 3D graphics library
License: GPL
Group: Development/Tools
Url: http://www.coin3d.org
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://ftp.coin3d.org/coin/src/all/Coin-3.0.0.tar.gz

Requires: lib%name = %version-%release
Requires: %name-common = %version-%release
Obsoletes: %name-common < %version-%release

BuildRequires(pre): rpm-build-compat
BuildPreReq: libGL-devel libGLU-devel java-devel-default doxygen gcc-c++

%description
Coin is an OpenGL-based, 3D graphics library that has its roots in the
Open Inventor 2.1 API, which Coin still is compatible with.

If you are not familiar with Open Inventor, it is a scene-graph based,
retain-mode, rendering and model manipulation, C++ class library,
originally designed by SGI.  It quickly became the de facto standard
graphics library for 3D visualization and visual simulation software
in the scientific and engineering community after its release.  It
also became the basis for the VRML1 file format standard.

%package -n lib%name
Summary: Shared libraries of Coin3D
Group: System/Libraries

%description -n lib%name
Coin is an OpenGL-based, 3D graphics library that has its roots in the
Open Inventor 2.1 API, which Coin still is compatible with.

If you are not familiar with Open Inventor, it is a scene-graph based,
retain-mode, rendering and model manipulation, C++ class library,
originally designed by SGI.  It quickly became the de facto standard
graphics library for 3D visualization and visual simulation software
in the scientific and engineering community after its release.  It
also became the basis for the VRML1 file format standard.

This package contains shared libraries of Coin3D.

%package -n lib%name-devel
Summary: Development files for Coin3D
Group: Development/C++
Requires: lib%name = %version-%release
Requires: %name-common = %version-%release
Conflicts: libInventor-devel

%description -n lib%name-devel
Coin is an OpenGL-based, 3D graphics library that has its roots in the
Open Inventor 2.1 API, which Coin still is compatible with.

If you are not familiar with Open Inventor, it is a scene-graph based,
retain-mode, rendering and model manipulation, C++ class library,
originally designed by SGI.  It quickly became the de facto standard
graphics library for 3D visualization and visual simulation software
in the scientific and engineering community after its release.  It
also became the basis for the VRML1 file format standard.

This package contains development files for Coin3D.

%package -n lib%name-devel-static
Summary: Static library of Coin3D
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Coin is an OpenGL-based, 3D graphics library that has its roots in the
Open Inventor 2.1 API, which Coin still is compatible with.

If you are not familiar with Open Inventor, it is a scene-graph based,
retain-mode, rendering and model manipulation, C++ class library,
originally designed by SGI.  It quickly became the de facto standard
graphics library for 3D visualization and visual simulation software
in the scientific and engineering community after its release.  It
also became the basis for the VRML1 file format standard.

This package contains static library of Coin3D.

%package -n lib%name-devel-doc
Summary: Documentation for Coin3D
Group: Development/Documentation
BuildArch: noarch

%description -n lib%name-devel-doc
Coin is an OpenGL-based, 3D graphics library that has its roots in the
Open Inventor 2.1 API, which Coin still is compatible with.

If you are not familiar with Open Inventor, it is a scene-graph based,
retain-mode, rendering and model manipulation, C++ class library,
originally designed by SGI.  It quickly became the de facto standard
graphics library for 3D visualization and visual simulation software
in the scientific and engineering community after its release.  It
also became the basis for the VRML1 file format standard.

This package contains development documentation for Coin3D.

%package common
Summary: Architecture independent files of Coin3D
Group: Development/Documentation
BuildArch: noarch

%description common
Coin is an OpenGL-based, 3D graphics library that has its roots in the
Open Inventor 2.1 API, which Coin still is compatible with.

If you are not familiar with Open Inventor, it is a scene-graph based,
retain-mode, rendering and model manipulation, C++ class library,
originally designed by SGI.  It quickly became the de facto standard
graphics library for 3D visualization and visual simulation software
in the scientific and engineering community after its release.  It
also became the basis for the VRML1 file format standard.

This package contains architecture independent files of Coin3D.

%prep
%setup

%build
sed -i 's|^libdir.*|libdir=%_libdir|' Coin.pc.in
%configure \
	--enable-static \
	--enable-java-wrapper \
	--enable-3ds-import \
	--enable-threadsafe \
	--enable-html \
	--enable-man \
	--enable-debug=no \
	--enable-symbols \
	--with-openal \
	--with-fontconfig \
	--with-x \
	--with-opengl=%prefix \
	--with-mesa
%make_build

%install
%make_install_std

install -d %buildroot%_docdir/%name
mv %buildroot%_datadir/Coin/html %buildroot%_docdir/%name/
%ifarch x86_64
sed -i 's|/lib64|/lib|g' %buildroot%_bindir/coin-config
sed -i 's|/lib|/lib64|g' %buildroot%_bindir/coin-config
sed -i 's|/lib64|/lib|g' %buildroot%_datadir/Coin/conf/coin-default.cfg
sed -i 's|/lib|/lib64|g' %buildroot%_datadir/Coin/conf/coin-default.cfg
%endif
sed -i 's|^\(htmldir\).*|\1=%_docdir/%name/html|g' \
	%buildroot%_datadir/Coin/conf/coin-default.cfg

%files
%doc AUTHORS COPYING ChangeLog FAQ FAQ.legal LICENSE.GPL NEWS README RELNOTES
%doc THANKS
%_bindir/*
%_man1dir/*
%_datadir/Coin/conf/coin-default.cfg

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_pkgconfigdir/*
%_includedir/*
%_aclocaldir/*
%_man3dir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files -n lib%name-devel-doc
%_docdir/%name

%files common
%_datadir/Coin
%exclude %_datadir/Coin/conf/coin-default.cfg

%changelog
* Tue May 05 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.0.0-alt3
- lib%name-devel: explicit conflict with libInventor-devel

* Sun May 03 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.0.0-alt1.M50.1
- Port for Branch 5.0

* Sun May 03 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.0.0-alt2.2
- Move default config file into package %name

* Sat May 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.0.0-alt2.1
- Fix pkgconfig file for x86_64

* Sat May 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.0.0-alt2
- Fix for x86_64

* Sat May 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.0.0-alt0.M50.1
- Port for Branch 5.0

* Sat May 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.0.0-alt1
- Initial build for Sisyphus

